
body{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #F5F5F5;
    display: flex;
    align-items: center;
    justify-content: center;
}

header{
    display: flex;
    justify-content: space-between;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}

header img{
    padding: 50px;
    width: 100px;
}

.header-right{
    display: flex;
    padding: 50px;
    height: 40px;
    align-items: center;
}

.header-right-text{
    font-size: 20px;
    color: #2A3647;
}

.login-dialog{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 50px;
    border-radius: 20px;
    background-color: white;
}

.button{
    display: flex;
    align-items: center;
    padding: 12px 10px;
    font-size: 16px;
    border: 1px solid #2A3647;
    border-radius: 10px;
    cursor: pointer;
    height: 40px;
}

.log-in{
    margin-right: 50px;
    margin-left: 0 !important;
}

.sign-up{
    margin-left: 0 !important;
}

.sign-up-link{
    text-decoration: none;
    color: white;
}

.sign-in-head{
    display: flex;
}

.sign-in-head img{
    height: 18px;
    position: relative;
    top: 10px;
    left: -52px;
    cursor: pointer;
}


.button-fill{
    background-color: #2A3647;
    color: white;
    margin-left: 20px;
    font-weight: 600;
}

.button-fill:hover {
    background-color: #29ABE2 !important;
    border: 1px solid #29ABE2 !important;
    border: none;
    box-shadow: 2px 4px 4px 0px rgb(0 0 0 / 20%);
}

.button-clear{
    background-color: white;
    color: #595b5f;
 }

 .button-clear:hover {
    border: 1px solid #29ABE2 !important;
    box-shadow: 2px 4px 4px 0px rgb(0 0 0 / 20%) !important;
    background-color: white !important;
    color: #29ABE2;
}

.button-container{
    display: flex;
    justify-content: center;

}

h1{
    margin: 0;
    color: #000000;
    font-family: 'Roboto', sans-serif;
    font-size: 50px;
    font-weight: 700;
    margin-bottom: 10px;
}

.border-bottom {
    border-bottom: 3px solid #29ABE2;
    width: 40%;
    margin-bottom: 20px;
}

form{
    display: flex;
    flex-direction: column;
    text-align: center;
}

form input {
    border: 1px solid #d1d1d1;
    border-radius: 6px;
    padding: 7px 13px;
    margin-bottom: 20px;
    width: 300px;
    font-family: 'Roboto', sans-serif;
    font-size: 18px;
}

::placeholder {
    color: #D1D1D1;
  }

  .forgot-text{
    color: #29ABE2;
    font-size: 16px;
    margin-bottom: 20px;
    
  }

  .mobile-header {
    display: none;
}

.mobile-icon{
    display: none;
}

  @media(max-width: 550px){

    body{
        flex-direction: column;
    }


    header img{
        padding: 20px;
        width: 60px;
        margin-bottom: 20px;
    }

    .moble-icon-div{
        display: flex;
    }

    form Input{
        width: 90%;
        margin-left: auto;
        margin-right: auto;
    }

    .login-dialog{
        width: 80%;
    }
   

    .header-right {
        flex-direction: column;
        align-items: flex-start;
    }

    .header-right-text {
        font-size: 16px;  /* Adjust to your desired size */
        margin-bottom: 10px;  /* Add spacing between text and sign up button */
    }

    .login-dialog {
        padding: 20px; /* Reduce the padding around the login dialog */
    }

    .header-right {
        display: none;
    }

    /* Show the mobile version */
    .mobile-header {
        display: flex;
        flex-direction: row;
        align-items: center;
        
    }

    .header-right-text {
        font-size: 16px;
        margin-bottom: 0px;
    }

  }